be.fgov.ehealth.certra.protocol.v2

## Class GetGenericOrganizationTypesResponse

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v2.ResponseType
  - - be.fgov.ehealth.commons.protocol.v2.StatusResponseType
    - - be.fgov.ehealth.certra.protocol.v2.GetGenericOrganizationTypesResponse

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2025-10-31T09:52:20+01:00",
                 comments="JAXB RI v2.3.7")
      public class GetGenericOrganizationTypesResponse
      extends StatusResponseType
      implements Serializable

  The list of all organization types that are accepted by the web service. Only certificate requests for organizations that match one of the types in this list and passes the associated validation rules will be accepted.

  Java class for GetGenericOrganizationTypesResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="GetGenericOrganizationTypesResponseType">
         <complexContent>
           <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
             <sequence minOccurs="0">
               <element name="OrganizationType" type="{urn:be:fgov:ehealth:certra:core:v2}OrganizationIdentifierType" maxOccurs="unbounded"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GetGenericOrganizationTypesResponse()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<OrganizationIdentifierType>` | `getOrganizationTypes()` Gets the value of the organizationTypes property.

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType

      `getStatus, setStatus`

    - ### Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType

      `getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GetGenericOrganizationTypesResponse

          public GetGenericOrganizationTypesResponse()

  - ### Method Detail

    - #### getOrganizationTypes

          public List<OrganizationIdentifierType> getOrganizationTypes()

      Gets the value of the organizationTypes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the organizationTypes property.

      For example, to add a new item, do as follows:

              getOrganizationTypes().add(newItem);

      Objects of the following type(s) are allowed in the list `OrganizationIdentifierType`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.